Subject: [rtcweb] [Technical Errata Reported] RFC8832 (6411)

From: RFC Errata System <[email-masked]>
Date: Mon, 25 Jan 2021 01:28:48 -0800 (PST)

The following errata report has been submitted for RFC8832,
"WebRTC Data Channel Establishment Protocol".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6411

--------------------------------------
Type: Technical
Reported by: Victor Boivie <[email-masked]>

Section: 5

Original Text
-------------
5.  Message Formats

   Every Data Channel Establishment Protocol message starts with a one
   byte field called "Message Type" which indicates the type of the
   message.  The corresponding values are managed by IANA (see
   Section 8.2.1).

Corrected Text
--------------
5.  Message Formats

   Every Data Channel Establishment Protocol message starts with a one
   byte field called "Message Type" which indicates the type of the
   message.  The corresponding values are managed by IANA (see
   Section 8.2.1).

   All integer fields in an Data Channel Establishment Protocol message
   MUST be transmitted in network byte order, unless otherwise stated.

Notes
-----
The byte order of integer fields in the protocol messages is not defined.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8832 (draft-ietf-rtcweb-data-protocol-09)
--------------------------------------
Title               : WebRTC Data Channel Establishment Protocol
Publication Date    : January 2021
Author(s)           : R. Jesup, S. Loreto, M. Tüxen
Category            : PROPOSED STANDARD
Source              : Real-Time Communication in WEB-browsers
Area                : Applications and Real-Time
Stream              : IETF
Verifying Party     : IESG

---

From: Ted Hardie <[email-masked]>
Date: Mon, 25 Jan 2021 09:40:24 -0800

Since the Data Channel Establishment Protocol depends on SCTP, which
requires Network Byte Order (RFC 4960, Section 3), I do not believe that
this erratum is needed.  I recommend it be rejected.

Just my personal opinion,

regards,

Ted

---

From: Barry Leiba <[email-masked]>
Date: Mon, 25 Jan 2021 13:33:48 -0500

>From the point of view of "errata", though, the question is whether
this was an omission that would have been fixed if it had been caught
at the time of publication... or something that was not put in because
it was considered to be covered elsewhere, so not an "error" in the
RFC.

It seems the latter, not the former.

Barry

On Mon, Jan 25, 2021 at 1:21 PM Victor Boivie <[email-masked]> wrote:
>
> While I absolutely accept that rationale, Data Channel Establishment Protocol is layered on top of SCTP, and is not an SCTP extension (where I would definitely agree with what you're saying).
>
> While I can't see what the future brings, I could envision an evolution of RFC8832 being layered on top of e.g. QUIC or SRT, would the WebRTC project decide to change the underlying protocol from SCTP to something else in the future. That would be a separate RFC, though.
>
> Thanks and best regards,
> Victor
>
> On Mon, Jan 25, 2021 at 6:40 PM Ted Hardie <[email-masked]> wrote:
>>
>> Since the Data Channel Establishment Protocol depends on SCTP, which requires Network Byte Order (RFC 4960, Section 3), I do not believe that this erratum is needed.  I recommend it be rejected.
>>
>> On Mon, Jan 25, 2021 at 1:28 AM RFC Errata System <[email-masked]> wrote:
>>>

---

From: Michael Tuexen <[email-masked]>
Date: Mon, 25 Jan 2021 19:37:08 +0100

> On 25. Jan 2021, at 18:40, Ted Hardie <[email-masked]> wrote:
> 
The text in RFC 4960 Section 3 covers the fields of the SCTP protocol, it does not cover
the payload, which is DCEP.
> Just my personal opinion,
In my opinion we just forgot to state that all fields should be in network byte order.
The fields are definitely intended to be in network byte order.
Therefore, I think the report is valid.

Best regards
Michael

---

From: Michael Tuexen <[email-masked]>
Date: Mon, 25 Jan 2021 19:38:18 +0100

> On 25. Jan 2021, at 19:33, Barry Leiba <[email-masked]> wrote:
> 
It was an omission.

Best regards
Michael

---

From: Harald Alvestrand <[email-masked]>
Date: Tue, 26 Jan 2021 10:28:01 +0100

I recommend this to be "accepted, held for update".

Just to have said this before the merge (which may be late or may be 
never) ... I see no reason for allowing "unless otherwise stated", and 
the new sentence should come before the existing paragraph, not after it.

On 1/25/21 10:28 AM, RFC Errata System wrote:
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb